import React, { Component, Fragment } from 'react';
import PropTypes from 'prop-types';
import { renderTemplate } from './../../lib/TemplateManager';

class Static extends Component {

    constructor(props, context) {
        super(props, context);
    }

    render() {
        if(this.props.atoms && this.props.template) {
            return renderTemplate({
                template: this.props.template,
                atoms: this.props.atoms
            });
        }
        return null;
    }
}

Static.propTypes = {
    template: PropTypes.object
};

export default Static;